//
// This file is part of the FLTK Imago project
// Copyright (C) 2002-2005 Chris Osgood
// http://imago.functionalfuture.com
//
// "$Id: Fl_SVG_Image.cxx 25 2005-01-01 03:22:54Z chris $"
//
// Fl_SVG_Box routines.
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Library General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Library General Public License for more details.
//
// You should have received a copy of the GNU Library General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
// USA.
//
// Please report all bugs and problems to "imago at functionalfuture.com"
//

#include "Fl_SVG_Box.H"
#include <FL/fl_draw.H>

int Fl_SVG_Box::counter_ = 0;

Fl_SVG_Box::Fl_SVG_Box(Fl_SVG_Image* image, uchar a, uchar b, uchar c, uchar d)
      : image_(image)
{
   // mutex lock?
   counter_++;
   id_ = counter_;
   Fl::set_boxtype((Fl_Boxtype)(FL_FREE_BOXTYPE + 8 + id_), draw_svg_box, a, b, c, d, this);
}

Fl_SVG_Box::~Fl_SVG_Box()
{
   if (image_)
      delete image_;
}

void Fl_SVG_Box::draw_svg_box(int x, int y, int w, int h, Fl_Color bgcolor, void* o)
{
   Fl_SVG_Image* img = (Fl_SVG_Image*)o;
   img->size(w, h);
   img->draw(x, y, w, h, 0, 0);
}

